nfftf_mv_plan_complex Struct Reference

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftwf_complex * | f_hat
| Fourier coefficients.
fftwf_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.

## Detailed Description

Definition at line 176 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT nfftf_mv_plan_complex::N_total

Total number of Fourier coefficients.

Definition at line 176 of file nfft3.h.

## M_total

NFFT_INT nfftf_mv_plan_complex::M_total

Total number of samples.

Definition at line 176 of file nfft3.h.

## f_hat

fftwf_complex* nfftf_mv_plan_complex::f_hat

Fourier coefficients.

Definition at line 176 of file nfft3.h.

## f

fftwf_complex* nfftf_mv_plan_complex::f

Samples.

Definition at line 176 of file nfft3.h.

## mv_trafo

void(* nfftf_mv_plan_complex::mv_trafo) (void *)

Transform.

Definition at line 176 of file nfft3.h.

## mv_adjoint

void(* nfftf_mv_plan_complex::mv_adjoint) (void *)

Adjoint transform.

Definition at line 176 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h